commit:     0bdb61b1877b0d18f4bad87e7756e7d819d66061
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Wed Apr 24 13:04:46 2024 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Thu Apr 25 12:11:30 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0bdb61b1

dev-java/commons-vfs: switch to java-pkg-simple

Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: https://github.com/gentoo/gentoo/pull/36404
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 dev-java/commons-vfs/commons-vfs-2.0-r4.ebuild     | 56 ++++++++++++++++++++++
 .../commons-vfs/files/commons-vfs-2.0-utf8.patch   | 13 +++++
 2 files changed, 69 insertions(+)

diff --git a/dev-java/commons-vfs/commons-vfs-2.0-r4.ebuild 
b/dev-java/commons-vfs/commons-vfs-2.0-r4.ebuild
new file mode 100644
index 000000000000..f2cbfd6d3ba5
--- /dev/null
+++ b/dev-java/commons-vfs/commons-vfs-2.0-r4.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="A single API for accessing various different file systems"
+HOMEPAGE="https://commons.apache.org/vfs/";
+SRC_URI="https://archive.apache.org/dist/commons/vfs/source/${P}-src.tar.gz";
+S="${WORKDIR}/${P}/core"
+
+LICENSE="Apache-2.0"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+
+CP_DEPEND="
+       >=dev-java/ant-1.10.14-r3:0
+       dev-java/commons-collections:0
+       dev-java/commons-logging:0
+       dev-java/commons-net:0
+       dev-java/commons-httpclient:3
+       dev-java/jackrabbit-webdav:0
+       dev-java/jsch:0"
+
+DEPEND="${CP_DEPEND}
+       >=virtual/jdk-1.8:*"
+
+RDEPEND="${CP_DEPEND}
+       >=virtual/jre-1.8:*"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-incompatibility.patch
+       "${FILESDIR}"/commons-vfs-2.0-utf8.patch
+)
+
+JAVA_RESOURCE_DIRS="resources/src/main/java"
+JAVA_SRC_DIR="src/main/java"
+
+# The build.xml is generated from maven and can't run the tests properly
+# Use maven test to execute these manually but that means downloading deps from
+# the internet. Also the tests need to login to some ftp servers and samba
+# shares so I doubt they work for everyone.
+#src_test() {
+#      ANT_TASKS="ant-junit" eant test
+#}
+
+src_prepare() {
+       default #780585
+       java-pkg-2_src_prepare
+       mkdir resources || die
+       find src/main/java -type f ! -name '*.java' ! -name 'package.html' \
+               | xargs cp --parent -t resources || die
+}

diff --git a/dev-java/commons-vfs/files/commons-vfs-2.0-utf8.patch 
b/dev-java/commons-vfs/files/commons-vfs-2.0-utf8.patch
new file mode 100644
index 000000000000..199fb380c3cb
--- /dev/null
+++ b/dev-java/commons-vfs/files/commons-vfs-2.0-utf8.patch
@@ -0,0 +1,13 @@
+diff --git a/src/main/java/org/apache/commons/vfs2/FileSystemManager.java 
b/src/main/java/org/apache/commons/vfs2/FileSystemManager.java
+index bb8cc2a..1e26559 100644
+--- a/src/main/java/org/apache/commons/vfs2/FileSystemManager.java
++++ b/src/main/java/org/apache/commons/vfs2/FileSystemManager.java
+@@ -98,7 +98,7 @@ public interface FileSystemManager
+     FileObject resolveFile(String name, FileSystemOptions fileSystemOptions)
+         throws FileSystemException;
+ 
+-    /**                               �
++    /**
+      * Locates a file by name.  The name is resolved as described
+      * <a href="#naming">above</a>.  That is, the name can be either
+      * an absolute URI, an absolute file name, or a relative path to

Reply via email to